set(ITKVtkGlue_LOADED 1)
set(ITKVtkGlue_ENABLE_SHARED "1")
set(ITKVtkGlue_DEPENDS "ITKCommon;ITKImageIntensity;ITKVTK")
set(ITKVtkGlue_PUBLIC_DEPENDS "ITKCommon;ITKVTK")
set(ITKVtkGlue_TRANSITIVE_DEPENDS "ITKCommon;ITKImageIntensity;ITKVTK")
set(ITKVtkGlue_PRIVATE_DEPENDS "")
set(ITKVtkGlue_LIBRARIES "ITKVtkGlue")
set(ITKVtkGlue_INCLUDE_DIRS "${ITK_INSTALL_PREFIX}/include/InsightToolkit;/usr/include/vtk;/usr/include;/usr/include/freetype2")
set(ITKVtkGlue_LIBRARY_DIRS "")
set(ITKVtkGlue_RUNTIME_LIBRARY_DIRS "${ITK_INSTALL_PREFIX}/lib64/")
set(ITKVtkGlue_TARGETS_FILE "")

set(VTK_DIR "/usr/lib64/cmake/vtk")

find_package(VTK NO_MODULE REQUIRED)

if(NOT VTK_VERSION)
  set(VTK_VERSION "6.3.0")
endif()
if(NOT VTK_RENDERING_BACKEND)
  set(VTK_RENDERING_BACKEND OpenGL)
endif()
set(_target_freetypeopengl)
if(TARGET vtkRenderingFreeTypeOpenGL)
  set(_target_freetypeopengl vtkRenderingFreeTypeOpenGL)
endif()

if( 6.3.0 VERSION_LESS 6.0.0 )
  set(ITKVtkGlue_VTK_INCLUDE_DIRS /usr/include/vtk;/usr/include/libxml2;/usr/include;/usr/include/freetype2;/usr/include/python2.7)
  set(ITKVtkGlue_VTK_LIBRARIES vtkImagingMorphological;vtkImagingCore;vtkCommonDataModel;vtkCommonMath;vtkCommonCore;vtksys;vtkCommonMisc;vtkCommonSystem;vtkCommonTransforms;vtkCommonExecutionModel;vtkImagingGeneral;vtkImagingSources;/usr/lib64/libxml2.so;/usr/lib64/libz.so;vtkChartsCore;vtkCommonColor;vtkInfovisCore;vtkFiltersExtraction;vtkFiltersCore;vtkFiltersGeneral;vtkCommonComputationalGeometry;vtkFiltersStatistics;vtkImagingFourier;vtkalglib;vtkRenderingContext2D;vtkRenderingCore;vtkFiltersGeometry;vtkFiltersSources;vtkRenderingFreeType;/usr/lib64/libfreetype.so;vtkftgl;vtkIOSQL;vtkIOCore;vtksqlite;/usr/lib64/libpng.so;vtkViewsCore;vtkInteractionWidgets;vtkFiltersHybrid;vtkFiltersModeling;vtkImagingHybrid;vtkIOImage;vtkDICOMParser;vtkmetaio;/usr/lib64/libjpeg.so;/usr/lib64/libtiff.so;vtkInteractionStyle;vtkRenderingAnnotation;vtkImagingColor;vtkRenderingVolume;vtkIOEnSight;vtkRenderingGL2PS;vtkRenderingContextOpenGL;vtkRenderingOpenGL;/usr/lib64/libgl2ps.so;vtkGUISupportQtOpenGL;vtkGUISupportQt;vtkIOParallel;vtkFiltersParallel;vtkParallelCore;vtkIOLegacy;vtkIONetCDF;/lib64/libnetcdf_c++.so;/lib64/libnetcdf.so;/usr/lib64/libhdf5.so;/usr/lib64/libhdf5_hl.so;/usr/lib64/libdl.so;/usr/lib64/libm.so;vtkIOXML;vtkIOGeometry;vtkIOXMLParser;/usr/lib64/libexpat.so;vtkexoIIc;/usr/lib64/libjsoncpp.so;vtkViewsQt;vtkViewsInfovis;vtkFiltersImaging;vtkInfovisLayout;vtkRenderingLabel;vtkTestingIOSQL;vtkIOMINC;vtkFiltersVerdict;verdict;vtkFiltersProgrammable;vtkIOVideo;vtkGUISupportQtWebkit;vtkIOInfovis;vtkFiltersPython;/usr/lib64/libpython2.7.so;vtkWrappingPythonCore;vtkWrappingTools;vtkRenderingVolumeOpenGL;vtkViewsContext2D;vtkproj4;vtkIOAMR;vtkFiltersAMR;vtkRenderingImage;vtkIOPLY;vtkFiltersSelection;vtkLocalExample;vtkWrappingJava;vtkIOExport;vtkRenderingLOD;vtkImagingStencil;vtkRenderingQt;vtkFiltersTexture;vtkViewsGeovis;vtkGeovisCore;vtkGUISupportQtSQL;vtkTestingRendering;vtkInteractionImage;vtkFiltersGeneric;vtkRenderingLIC;vtkFiltersFlowPaths;vtkFiltersParallelImaging;vtkImagingStatistics;vtkFiltersSMP;vtkTestingGenericBridge;vtkIOExodus;vtkImagingMath;vtkIOImport;vtkIOLSDyna;vtkIOParallelXML;vtkIOMovie;/usr/lib64/libtheoraenc.so;/usr/lib64/libtheoradec.so;/usr/lib64/libogg.so;vtkFiltersStatisticsGnuR;vtkDomainsChemistry;vtkFiltersHyperTree)
else()
  set(_wrap_module)
  if(ITK_WRAP_PYTHON AND PYTHON_VERSION_STRING VERSION_LESS 3.0)
    set(_wrap_module vtkWrappingPythonCore)
  endif()
  vtk_module_config(ITKVtkGlue_VTK
    vtkRenderingOpenGL
    vtkRenderingFreeType
    
    vtkInteractionStyle
    vtkIOImage
    vtkImagingSources
    
    )

  set_property(DIRECTORY APPEND PROPERTY COMPILE_DEFINITIONS ${ITKVtkGlue_VTK_DEFINITIONS})
endif()

